Create a help article (operator)
curl --request POST \
--url https://api.hq.zone/v1/help/articles \
--header 'Content-Type: application/json' \
--cookie hq-session= \
--data '
{
"body": "<string>",
"category": "<string>",
"slug": "<string>",
"title": "<string>",
"ord": 123,
"summary": "<string>"
}
'import requests
url = "https://api.hq.zone/v1/help/articles"
payload = {
"body": "<string>",
"category": "<string>",
"slug": "<string>",
"title": "<string>",
"ord": 123,
"summary": "<string>"
}
headers = {
"cookie": "hq-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'hq-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
category: '<string>',
slug: '<string>',
title: '<string>',
ord: 123,
summary: '<string>'
})
};
fetch('https://api.hq.zone/v1/help/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": "<string>",
"category": "<string>",
"ord": 123,
"slug": "<string>",
"summary": "<string>",
"title": "<string>"
}Help
Create a help article (operator)
POST /v1/help/articles - create a new article. Operator-only. The new row
is chunked + embedded + indexed before this returns.
POST
/
v1
/
help
/
articles
Create a help article (operator)
Authorizations
Browser session cookie set by sign-in. Web SPA only; not for PAT/OAuth integrators.
Body
application/json
⌘I